summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/up.sh21
1 files changed, 17 insertions, 4 deletions
diff --git a/bin/up.sh b/bin/up.sh
index dad37c472..915faa51e 100755
--- a/bin/up.sh
+++ b/bin/up.sh
@@ -1,7 +1,20 @@
#!/usr/bin/env sh
-cd "`dirname $0`"
-./apicall.sh "/Network.xml?page=1" | awk '/<address>/{ gsub("<address>","" );gsub("<\/address>","" ); print $0 }' | awk '{print $1}';
+# List the active principal and senior peers known by the local peer or by the peer at the given address
+# $1 : (optional) the peer address as host:port
-#port=$(grep ^port= "$YACY_DATA_PATH/SETTINGS/yacy.conf" |cut -d= -f2)
-#./up1.sh localhost:$port
+cd "`dirname $0`"
+if [ -z "$1" ]; then
+ # Request the local peer
+ ./apicall.sh "/Network.xml?page=1" | awk '/<address>/{ gsub("<address>","" );gsub("<\/address>","" ); print $0 }' | awk '{print $1}'
+else
+ # Request the given peer
+ if which curl > /dev/null; then
+ curl -sSf "http://$1/Network.xml?page=1" | awk '/<address>/{ gsub("<address>","" );gsub("<\/address>","" ); print $0 }' | awk '{print $1}'
+ elif which wget > /dev/null; then
+ wget -nv -t 1 --timeout=120 "http://$1/Network.xml?page=1" -O - | awk '/<address>/{ gsub("<address>","" );gsub("<\/address>","" ); print $0 }' | awk '{print $1}'
+ else
+ echo "Please install curl or wget" > /dev/stderr
+ exit 1
+ fi
+fi \ No newline at end of file